This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1305551 - php: Crash on bad SOAP request
php: Crash on bad SOAP request
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20151126,reported=2...
: Security
Depends On: 1305565
Blocks: 1305564
  Show dependency treegraph
 
Reported: 2016-02-08 09:56 EST by Adam Mariš
Modified: 2017-09-07 17:44 EDT (History)
12 users (show)

See Also:
Fixed In Version: php 5.6.18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-07 17:44:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2016-02-08 09:56:15 EST
A crash on bad SOAP request when always_populate_raw_post_data is not configured in php.ini or is configured with always_populate_raw_post_data = On. The error handler is overloaded with the SOAP one. However the SOAP handler eventually wants to access some of its globals, but SOAP globals aren't initialized.

Upstream bug:

https://bugs.php.net/bug.php?id=70979

Upstream patch:

https://git.php.net/?p=php-src.git;a=commit;h=4308c868f94df1f2b99e80038ba5ea1076d919a7
Comment 1 Adam Mariš 2016-02-08 10:12:37 EST
Created php tracking bugs for this issue:

Affects: fedora-all [bug 1305565]
Comment 2 Tomas Hoger 2017-09-07 17:44:04 EDT
Currently no plan to backport this fix to PHP versions in already released products.

Note You need to log in before you can comment on or make changes to this bug.